delcr(1)

NAME
delcr - remove a CR before each LF

SYNOPSIS
delcr

DESCRIPTION
delcr removes a CR at the end of each line of input, if a CR is present. It also removes a CR at the end of a partial final line.

The pipeline

         addcr | delcr

prints an exact copy of its input.

COMPATIBILITY
Some vendors ship dos2unix or dos2bsd tools similar to delcr. Those tools often blow up on long lines and nulls. delcr has no trouble with long lines and nulls.

SEE ALSO
addcr(1)